API Reference
Log In
API Reference

Update an AI Model (Not Supported)

This endpoint is not supported. Use PATCH /v2/api/sources/ai/models/{id}?teamId={teamId} for pricing updates on tenant-specific models.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
deprecated

Unique identifier of the AI model (not used - endpoint disabled)

Body Params

AI model metadata

string
required

The name of the model

string
enum
required

The AI model provider. Allowed values: OPENAI, ANTHROPIC, OLLAMA, LITELLM, ALIBABA, GEMMA, DEEPSEEK, GOOGLE, GEMINI, AMAZON, CUSTOM

number
required

The cost per input token in USD

number
required

The cost per output token in USD

number | null

The cost per input token for cache creation in USD (for models that support prompt caching)

number | null

The cost per input token for 1-hour-TTL cache creation in USD (for models that support prompt caching)

number | null

The cost per input token for cache reads in USD (for models that support prompt caching)

string
required

The model mode or variant (e.g., 'chat', 'completion', 'embedding')

team
string | null

The unique identifier of the team that owns this AI model configuration. This field should be included in the request body when creating a new AI model.

boolean | null

Indicates if the model supports function calling

boolean | null

Indicates if the model supports parallel function calling

boolean | null

Indicates if the model supports response schema

boolean | null

Indicates if the model supports vision capabilities

boolean | null

Indicates if the model supports prompt caching

boolean | null

Indicates if the model supports system messages

boolean | null

Indicates if the model supports tool choice

boolean | null

Indicates if the model supports web search

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*
application/json